function t_alpha = T_function(n, alpha)

%% -- Table for t_alpha t_0.1
switch alpha
    case 0.1
        switch n-1
            case 1
                t_alpha = 3.078;
            case 2
                t_alpha = 1.886;
            case 3
               t_alpha = 1.638;
            case 4
               t_alpha = 1.533;
            case 5
               t_alpha = 1.476;
            case 6
               t_alpha = 1.440;
            case 7
               t_alpha = 1.415;
            case 8
               t_alpha = 1.397;
            case 9
               t_alpha = 1.383;
            case 10
               t_alpha = 1.372;
            case 11
               t_alpha = 1.363;
            case 12
               t_alpha = 1.356;
            case 13
               t_alpha = 1.350;
            case 14
               t_alpha = 1.345;
            case 15
               t_alpha = 1.341;
            case 16
               t_alpha = 1.337;
            case 17
               t_alpha = 1.333;
            case 18
               t_alpha = 1.330;
            case 19
               t_alpha = 1.328;
            case 20
               t_alpha = 1.325;
            case 21
               t_alpha = 1.323;
            case 22
               t_alpha = 1.321;
            case 23
               t_alpha = 1.319;
            case 24
               t_alpha = 1.318;
            case 25
               t_alpha = 1.316;
            case 26
               t_alpha = 1.315;
            case 27
               t_alpha = 1.314;
            case 28
               t_alpha = 1.313;
            case 29
               t_alpha = 1.311;
            case 30
               t_alpha = 1.310;
            otherwise
               t_alpha = 1.303;
        end
    case 0.05
        switch n-1
            case 1
               t_alpha = 6.314;
            case 2
               t_alpha = 2.920;
            case 3
               t_alpha = 2.353;
            case 4
               t_alpha = 2.132;
            case 5
               t_alpha = 2.015;
            case 6
               t_alpha = 1.943;
            case 7
               t_alpha = 1.895;
            case 8
               t_alpha = 1.860;
            case 9
               t_alpha = 1.833;
            case 10
               t_alpha = 1.812;
            case 11
               t_alpha = 1.796;
            case 12
               t_alpha = 1.782;
            case 13
               t_alpha = 1.771;
            case 14
               t_alpha = 1.761;
            case 15
               t_alpha = 1.753;
            case 16
               t_alpha = 1.746;
            case 17
               t_alpha = 1.740;
            case 18
               t_alpha = 1.734;
            case 19
               t_alpha = 1.729;
            case 20
               t_alpha = 1.725;
            case 21
               t_alpha = 1.721;
            case 22
               t_alpha = 1.717;
            case 23
               t_alpha = 1.714;
            case 24
               t_alpha = 1.711;
            case 25
               t_alpha = 1.708;
            case 26
               t_alpha = 1.706;
            case 27
               t_alpha = 1.703;
            case 28
               t_alpha = 1.701;
            case 29
               t_alpha = 1.699;
            case 30
               t_alpha = 1.697;
            otherwise
               t_alpha = 1.684;
        end
    otherwise
        disp('No values for this alpha');
end
